{"title":"Get salesShipments","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_salesshipment_get/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesshipment_get, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_salesshipment_get","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"Gets a salesShipment object in Dynamics 365 Business Central.","date":"2026-08-21","meta":{"topic":"reference"},"outline":[{"level":2,"title":"HTTP request","slug":"http-request","at":90,"chars":213},{"level":2,"title":"Request headers","slug":"request-headers","at":303,"chars":72},{"level":2,"title":"Request body","slug":"request-body","at":375,"chars":61},{"level":2,"title":"Response","slug":"response","at":436,"chars":127},{"level":2,"title":"Example","slug":"example","at":563,"chars":1472},{"level":2,"title":"Related information","slug":"related-information","at":2035,"chars":134}],"text":"Retrieve the properties and relationships of a salesShipment object for Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nGET businesscentralPrefix/companies({id})/salesShipments({id})\n```\n## Request headers\nHeader|Value\nAuthorization|Bearer {token}. Required.\n## Request body\nDon't supply a request body for this method.\n## Response\nIf successful, this method returns a ```200 OK``` response code and an salesShipments object in the response body.\n## Example\nRequest\nHere's an example of the request.\n```json\nGET https://{businesscentralPrefix}/api/v2.0/companies({id})/salesShipments({id})\n```\nResponse\nHere's an example of the response.\n```json\n{\n   \"id\": \"55c99ea7-bde4-ea11-bbf2-00155df3a61\",\n   \"number\": \"108001\",\n   \"externalDocumentNumber\": \"\",\n   \"invoiceDate\": \"2019-01-01\",\n   \"postingDate\": \"2019-01-01\",\n   \"dueDate\": \"2019-10-05\",\n   \"customerPurchaseOrderReference\": \"\",\n   \"customerNumber\": \"20000\",\n   \"customerName\": \"First Up Consultants\",\n   \"billToName\": \"First Up Consultants\",\n   \"billToCustomerNumber\": \"20000\",\n   \"shipToName\": \"First Up Consultants\",\n   \"shipToContact\": \"Evan McIntosh\",\n   \"sellToAddressLine1\": \"100 Day Drive\",\n   \"sellToAddressLine2\": \"\",\n   \"sellToCity\": \"Chicago\",\n   \"sellToCountry\": \"US\",\n   \"sellToState\": \"IL\",\n   \"sellToPostCode\": \"61236\",\n   \"billToAddressLine1\": \"100 Day Drive\",\n   \"billToAddressLine2\": \"\",\n   \"billToCity\": \"Chicago\",\n   \"billToCountry\": \"US\",\n   \"billToState\": \"IL\",\n   \"billToPostCode\": \"61236\",\n   \"shipToAddressLine1\": \"100 Day Drive\",\n   \"shipToAddressLine2\": \"\",\n   \"shipToCity\": \"Chicago\",\n   \"shipToCountry\": \"US\",\n   \"shipToState\": \"IL\",\n   \"shipToPostCode\": \"61236\",\n   \"currencyCode\": \"USD\",\n   \"orderNumber\": \"34\",\n   \"paymentTermsCode\": \"\",\n   \"shipmentMethodCode\": \"\",\n   \"salesperson\": \"PS\",\n   \"pricesIncludeTax\": false,\n   \"lastModifiedDateTime\": \"2019-01-01\",\n   \"phoneNumber\": \"\",\n   \"email\": \"evan.mcintosh@contoso.com\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\n../resources/dynamics_salesshipment"}